Questions tagged [version-control]

For questions pertaining to version control.

Filter by
Sorted by
Tagged with
2
votes
2answers
72 views

Is there a conflict between raspbian/raspberrypi versions and python versions?

Can some version of python not run on some version of Raspbian? Is there some thing in the architecture of some version of Raspberry Pi that could make them incompatible with some versions of python?
0
votes
0answers
76 views

lsb_release -a gives 10!

I followed this tutorial, trying to upgrade directly from Jessie to Buster instead of Jessie to Stretch. then, when i check the version with $ lsb_release -a I get this! No LSB modules are ...
0
votes
0answers
73 views

PYTQ on Rasberry Pi and Friture

I'm trying to create a stand alone audio analyser using Friture (http://friture.org). I have a B+ (Rasbian version 9, Python 3 and 2.7. Latest updates. Trying to install via pip gives me a PYQT find ...
1
vote
2answers
1k views

Automate builds for custom RaspberryPi images [closed]

I have a Python application that is used exclusively on RaspberryPi’s (RPi 2/3/zero) due to its GPIOs and other hardware interfaces. I would like to automate the build of finished SD card images based ...
0
votes
0answers
731 views

MCP3008 Adafruit code not work with Python 3?

So I am working on a project turning a Raspberry Pi and an MCP3008 chip into a voltage meter. A bunch of the examples I was working off of used the code for the chip put out my Adafruit that can be ...
0
votes
2answers
702 views

Check most current RPI-Firmware available from Git Repo?

I'm trying to to retrieve most recent master version from the Hexxeh/rpi-firmware which is used by Ubuntu Mate 16.04. The rpi-update update script exist on this page but I'm unable to fishout how ...
0
votes
1answer
353 views

how to swap dbus versions in rpi/linux?

DBus version installed: 1.10.6 Programs look at 1.1.1. How to get rpi to look at newest DBus? RPI Project/programs: alertR Home Alert System via github. Current status: 12/30/2015 14:26:08 INFO: [...
0
votes
1answer
40 views

libacsccid1_1.1.0-1~trusty1_armhf.deb or similar version for Ubuntu trusty 14.04

I have an NFC reader ACR1251U-A1, and I'm trying to install the driver for my NFC reader. In the folder that I have downloaded from the provider's website, there are only libacsccid1_1.1.0-1~trusty ...
3
votes
2answers
668 views

Using git to version control the Raspi OS

I find myself building up lots of versions of SD images as I incrementally develop a working system. Is there a way to manage this better, such as by capturing the SD image backup not as a img/gz but ...